
Name:           gitso
Version:        0.6
Release:        6%{?dist}
Summary:        A front-end to reverse VNC connections

Group:          Applications/Internet
License:        GPLv3+
URL:            http://code.google.com/p/gitso/
Source0:        http://gitso.googlecode.com/files/%{name}_%{version}_src.tar.bz2

Patch1:         %{name}-%{version}-patch_desktop.patch

BuildArch:      noarch
BuildRequires:  desktop-file-utils
Requires:       vnc, x11vnc, vnc-server, wxPython


%description
Gitso is a front-end to reverse VNC connections. It is meant to be a 
simple two-step process that connects one person to another screen.

%prep
%setup -q
%patch1 -p1

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -p arch/linux/%{name} $RPM_BUILD_ROOT%{_bindir}/

install -d 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 0644 Gitso.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 ConnectionWindow.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 AboutWindow.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 GitsoThread.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 Processes.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 ArgsParser.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 __init__.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 NATPMP.py $RPM_BUILD_ROOT%{_datadir}/%{name}/

install -d 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install -p -m 644 icon.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

install -pm 0644 icon.ico $RPM_BUILD_ROOT%{_datadir}/%{name}/

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ arch/linux/%{name}.desktop

mkdir -p %{buildroot}%{_mandir}/man1
install -p arch/linux/%{name}.1 %{buildroot}%{_mandir}/man1/
chmod -x %{buildroot}%{_mandir}/man1/%{name}.1

# Remove shebang from Python libraries
for lib in $RPM_BUILD_ROOT%{_datadir}/%{name}/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING CHANGELOG.txt
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Wed Jan 04 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0.6-6
- Update GPLv3 licence to GPLv3+

* Tue Jan 03 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0.6-5
- Add a build section
- Change manpage name in files section in case the man pages compressing format
 changes.

* Tue Jan 03 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0.6-4
- Add noarch
- Remove shebang from Python libraries

* Sat Dec 24 2011 Cedric OLIVIER <cedric.olivier@free.fr> 0.6-3
- Removing patch2 to conform to upstream

* Sat Dec 24 2011 Cedric OLIVIER <cedric.olivier@free.fr> 0.6-2
- Removing unneeded definition of the python_sitelib macro
- Removing python-devel from buildrequires
- Removing python and wxGTK requires , which are already required by wxPython
- Change install destination 
- Modification of .desktop patch file

* Thu Nov 8 2011 Cedric OLIVIER <cedric.olivier@free.fr> 0.6-1
- First release
